﻿@model project_asp_mvc.Models.Email

@{
    ViewBag.Title = "Contact";
}




<div class="product-big-title-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="product-bit-title text-center">
                    <h2>Contact</h2>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="single-product-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">

            <div class="col-md-12">
                <div class="well well-sm">
                        @using (Html.BeginForm("Contact","Home"))
                        {
                        
                            <fieldset>
                                <legend class="text-center">Contact us</legend>                          
                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="to">Name</label>
                                    <div class="col-md-9">
                                        <input type="text" name="Name" class="form-control" placeholder="Your name" style = "margin-bottom:5px"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="to">Phone</label>
                                    <div class="col-md-9">
                                        <input type="text" name="Phone" class="form-control" placeholder="Your Phone" Style = "margin-bottom:5px"/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="to">To</label>
                                    <div class="col-md-9">                                       
                                        @Html.EditorFor(e=>e.To, new { htmlAttributes = new { @class = "form-control",id="to",required ="true",Style="margin-bottom:5px",placeholder="Email" ,value =""} })
                                        @Html.ValidationMessageFor(e=>e.To,"",new{@class="text-danger"})
                                    </div>
                                </div>
                                
                                

                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="subject">Subject</label>
                                    <div class="col-md-9">
                                        @Html.EditorFor(e => e.Subject, new { htmlAttributes = new { @class = "form-control",id="subject", required = "true", Style = "margin-bottom:5px", placeholder = "Subject", value = "" } })
                                        @Html.ValidationMessageFor(e => e.Subject, "", new { @class = "text-danger" })                                      
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="body">Your message</label>
                                    <div class="col-md-9">                          
                                        <textarea class="form-control" style="margin-bottom: 5px" id="body" name="body" placeholder="Please enter your message here..." rows="5"></textarea>
                                    </div>
                                </div>

                                <div class="form-group" style="text-align: right; margin-right: 15px; margin-top: 5px">
                                    <input type="submit" style="margin-bottom: 5px" value="Send"/>
                                </div>
                                <span style="color: green">@ViewBag.Message</span>
                            </fieldset>
                        }
                </div>
            </div>
        </div>
    </div>
</div>

